{
  "format_version": "1.16.0",
  "minecraft:entity": {
    "description": {
      "identifier": "mnp_ci:spawner_water_animal",
      "is_spawnable": false,
      "is_summonable": true,
      "is_experimental": false
    },
    "components": {
      "minecraft:is_hidden_when_invisible": {},
      "minecraft:type_family": {
        "family": ["aquatic", "fish", "spawner", "spawner_water_animal"]
      },
      "minecraft:collision_box": {
        "width": 0.5,
        "height": 0.5
      },
      "minecraft:health": {
        "value": 3,
        "max": 3
      },
      "minecraft:physics": {
        "has_gravity": false
      },
      "minecraft:pushable": {
        "is_pushable": false,
        "is_pushable_by_piston": false
      },
      "minecraft:despawn": {
        "despawn_from_distance": {
          "min_distance": 32,
          "max_distance": 40
        }
      },
      "minecraft:conditional_bandwidth_optimization": {}
    }
  }
}
